> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk delete items from Question library

> # Description

Delete all question item related to the ids. If any id is not found the endpoint won't remove any question.

# Payload

The endpoint receives an array with the ids of the question to be removed from the library.

```json
{
    "questionLibraryIds": ["string"]
}

 ```

- `questionLibraryIds`: Array list with all the ids to delete
    

# Response

## 204 OK No Content

> Questions were deleted successfully 
  

## 401 Unauthorized

> The user is not authorized 
  

## 403 Forbidden

> The user doesn't have enough privileges to use this endpoint 
  
> The company is not enabled to perform this action 
  

404 Not Found

> If any question ids in the payload where not found in the database. 
  

## 500 Internal Server Error

> Error occurred while processing the request.

# Description

Delete all question item related to the ids. If any id is not found the endpoint won't remove any question.

# Payload

The endpoint receives an array with the ids of the question to be removed from the library.

```json theme={null}
{
    "questionLibraryIds": ["string"]
}

```

* `questionLibraryIds`: Array list with all the ids to delete

# Response

## 204 OK No Content

> Questions were deleted successfully

## 401 Unauthorized

> The user is not authorized

## 403 Forbidden

> The user doesn't have enough privileges to use this endpoint

> The company is not enabled to perform this action

404 Not Found

> If any question ids in the payload where not found in the database.

## 500 Internal Server Error

> Error occurred while processing the request.


## OpenAPI

````yaml POST /projects-api/v2/questionsLibrary/bulk-delete
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /projects-api/v2/questionsLibrary/bulk-delete:
    post:
      summary: Bulk delete items from Question library
      description: >-
        # Description


        Delete all question item related to the ids. If any id is not found the
        endpoint won't remove any question.


        # Payload


        The endpoint receives an array with the ids of the question to be
        removed from the library.


        ```json

        {
            "questionLibraryIds": ["string"]
        }

         ```

        - `questionLibraryIds`: Array list with all the ids to delete
            

        # Response


        ## 204 OK No Content


        > Questions were deleted successfully 
          

        ## 401 Unauthorized


        > The user is not authorized 
          

        ## 403 Forbidden


        > The user doesn't have enough privileges to use this endpoint 
          
        > The company is not enabled to perform this action 
          

        404 Not Found


        > If any question ids in the payload where not found in the database. 
          

        ## 500 Internal Server Error


        > Error occurred while processing the request.
      operationId: >-
        bulk-delete-items-from-question-library-post-projects-api-v2-questionslibrary-bulk-delete
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              questionLibraryIds:
                - question library id 1
                - question library id 2
      responses:
        '200':
          description: Successful response
        '204':
          description: Bulk delete items from Question library Response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://sx-projects.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````